Download List

Sponsored link

專案描述

mixi ミュージックを foobar2000 から使うためのプラグイン。株式会社ミクシィが会員向けに公開している mixi station および、Winamp 用プラグイン gen_mixi_feat_winamp.dll が別途必要です。

System Requirements

System requirement is not defined

發布 2009-02-17 02:38
foo_mixi_feat_winamp_for_fb2k_0_9_X_SDK73 0.2.1.0_build20090217_setup (1 files 隱藏)

發布版本通知

<インストール前に>
・バージョン0.1.0.0から開発環境が Visual Studio 2008 の製品版になりましたので、ランタイムライブラリのインストールが必要です。

・古いバージョンの foo_mixi_feat_winamp プラグインがインストールされている場合、必ずアンインストールしてください。

・インストーラを使用していない場合、0.1.0.0 以前に含まれていた components 配下の Microsoft.VC90.CRT フォルダを必ず削除してください。 (Visual Studio 2008 beta 版のランタイムライブラリですので、0.1.0.0 以降では不要です)

・Visual C++ 2008 製品版ランライムライブラリが導入されていない環境の場合、以下の URL よりインストーラをダウンロードし、お使いの PC にセットアップしてください。

Visual C++ 2008 再頒布可能パッケージ (x86)
http://www.microsoft.com/downloads/details.aspx?FamilyID=9b2da534-3e03-4391-8a4d-074b9f2bc1bf&DisplayLang=ja

・バージョン0.1.8.0よりid3lib.dllが不要になりました。(他のプラグインで使用している可能性がありますので、手動でインストールを行っている方は、id3lib.dllをいったん~.dll_等にリネームし問題ないことを確認した後に削除してください)


<fb2kとSDKバージョンの対応>

ダウンロードしたファイルのSDKバージョンとお使いのfoobar2000が正しく対応しているかご確認ください。

対応していないSDKバージョンのプラグインをインストールすると、foobar2000の起動時にエラーが発生します。

SDK35 - fb2k 0.8.3
SDK71 - fb2k 0.9.3未満(従来のSDKバージョン。今回よりリリース対象外)
SDK72 - fb2k 0.9.4系
SDK73 - fb2k 0.9.5以降

SDKバージョンは次の方法で確認することが出来ます。

a. ファイル名中の「~SDKxx~」の部分
b. DLLファイルのプロパティ>詳細>ファイルの説明中の「~SDKxx~」の部分
c. インストーラのウィンドウタイトルの「~SDKxx~」の部分

更動紀錄

2009/02/17 - 0.2.1.0 - fb2k 0.8.3/0.9+用

<更新点>
・送信タイミング制御処理のロジックを変更し、再度使用可能にした
  ※制限:送信可能な最小曲長が4秒から8秒に伸びました(gen_mixi_for_winamp側の仕様)